Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.xs
Class XMLSchemaValidator

    java.lang.Object
      weblogic.apache.xerces.impl.xs.XMLSchemaValidator

All Implemented Interfaces:
  weblogic.apache.xerces.impl.xs.identity.FieldActivator, RevalidationHandler, XMLComponent, XMLDocumentFilter, XMLDocumentHandler, XMLDocumentSource

Deprecated. please use JDK supplied XML parsers and transformers

public class XMLSchemaValidator
extends Object
implements XMLComponent, XMLDocumentFilter, weblogic.apache.xerces.impl.xs.identity.FieldActivator, RevalidationHandler

The XML Schema validator. The validator implements a document filter: receiving document events from the scanner; validating the content and structure; augmenting the InfoSet, if applicable; and notifying the parser of the information resulting from the validation process.

This component requires the following features and properties from the component manager that uses it:

- http://xml.org/sax/features/validation
- http://apache.org/xml/properties/internal/symbol-table
- http://apache.org/xml/properties/internal/error-reporter
- http://apache.org/xml/properties/internal/entity-resolver

Nested Class Summary
`protected class` | `XMLSchemaValidator.KeyRefValueStore` Deprecated. Key reference value store.
`protected class` | `XMLSchemaValidator.KeyValueStore` Deprecated. Key value store.
`protected class` | `XMLSchemaValidator.LocalIDKey` Deprecated.
`protected class` | `XMLSchemaValidator.UniqueValueStore` Deprecated. Unique value store.
`protected class` | `XMLSchemaValidator.ValueStoreBase` Deprecated. Value store implementation base class.
`protected class` | `XMLSchemaValidator.ValueStoreCache` Deprecated. Value store cache.
`protected static class` | `XMLSchemaValidator.XPathMatcherStack` Deprecated. Stack of XPath matchers for identity constraints.

Field Summary
`protected static String` | `ALLOW_JAVA_ENCODING` Deprecated. Feature identifier: whether to recognize java encoding names
`protected static String` | `DYNAMIC_VALIDATION` Deprecated. Feature identifier: dynamic validation.
`protected static String` | `ENTITY_MANAGER` Deprecated.
`static String` | `ENTITY_RESOLVER` Deprecated. Property identifier: entity resolver.
`static String` | `ERROR_REPORTER` Deprecated. Property identifier: error reporter.
`protected AugmentationsImpl` | `fAugmentations` Deprecated.
`protected String` | `fBaseURI` Deprecated. Base URI for the DOM revalidation
`protected ElementPSVImpl` | `fCurrentPSVI` Deprecated. current PSVI element info
`protected XMLString` | `fDefaultValue` Deprecated.
`protected XMLDocumentHandler` | `fDocumentHandler` Deprecated. Document handler.
`protected XMLDocumentSource` | `fDocumentSource` Deprecated.
`protected boolean` | `fDoValidation` Deprecated.
`protected boolean` | `fDynamicValidation` Deprecated.
`protected ElementPSVImpl` | `fElemPSVI` Deprecated. PSV infoset information for element
`protected boolean` | `fEntityRef` Deprecated.
`protected XMLEntityResolver` | `fEntityResolver` Deprecated. Entity resolver
`protected String` | `fExternalNoNamespaceSchema` Deprecated.
`protected String` | `fExternalSchemas` Deprecated.
`protected boolean` | `fFullChecking` Deprecated.
`protected XMLGrammarPool` | `fGrammarPool` Deprecated.
`protected boolean` | `fInCDATA` Deprecated.
`protected Object` | `fJaxpSchemaSource` Deprecated.
`protected Hashtable` | `fLocationPairs` Deprecated.
`protected XMLSchemaValidator.XPathMatcherStack` | `fMatcherStack` Deprecated. Stack of active XPath matchers for identity constraints.
`protected boolean` | `fNamespaces` Deprecated.
`protected weblogic.apache.xerces.impl.xs.XMLSchemaLoader.LocationArray` | `fNoNamespaceLocationArray` Deprecated.
`protected boolean` | `fNormalizeData` Deprecated.
`protected boolean` | `fSchemaElementDefault` Deprecated.
`protected boolean` | `fSeenRoot` Deprecated.
`protected SymbolTable` | `fSymbolTable` Deprecated. Symbol table.
`protected boolean` | `fValidation` Deprecated. Validation.
`protected ValidationManager` | `fValidationManager` Deprecated.
`protected ValidationState` | `fValidationState` Deprecated.
`protected XMLSchemaValidator.ValueStoreCache` | `fValueStoreCache` Deprecated. Cache of value stores for identity constraint fields.
`protected XSDDescription` | `fXSDDescription` Deprecated. Schema Grammar Description passed, to give a chance to application to supply the Grammar
`protected weblogic.apache.xerces.impl.xs.XMLSchemaValidator.XSIErrorReporter` | `fXSIErrorReporter` Deprecated. Error reporter.
`protected static int` | `ID_CONSTRAINT_NUM` Deprecated.
`protected static String` | `JAXP_SCHEMA_SOURCE` Deprecated. Property identifier: JAXP schema source.
`protected static String` | `NAMESPACES` Deprecated.
`protected static String` | `NORMALIZE_DATA` Deprecated. Feature identifier: expose schema normalized value
`protected static String` | `SCHEMA_ELEMENT_DEFAULT` Deprecated. Feature identifier: send element default value via characters()
`protected static String` | `SCHEMA_FULL_CHECKING` Deprecated. Feature identifier: schema full checking
`protected static String` | `SCHEMA_LOCATION` Deprecated. Property identifier: schema location.
`protected static String` | `SCHEMA_NONS_LOCATION` Deprecated. Property identifier: no namespace schema location.
`protected static String` | `SCHEMA_VALIDATION` Deprecated. Feature identifier: validation.
`static String` | `SYMBOL_TABLE` Deprecated. Property identifier: symbol table.
`protected static String` | `VALIDATION` Deprecated. Feature identifier: validation.
`protected static String` | `VALIDATION_MANAGER` Deprecated.
`static String` | `XMLGRAMMAR_POOL` Deprecated. Property identifier: grammar pool.

Constructor Summary
`XMLSchemaValidator()` Deprecated. Default constructor.

Method Summary
`weblogic.apache.xerces.impl.xs.identity.XPathMatcher` | `activateField(weblogic.apache.xerces.impl.xs.identity.Field field, int initialDepth)` Deprecated. Request to activate the specified field.
`boolean` | `characterData(String data, Augmentations augs)` Deprecated.
`void` | `characters(XMLString text, Augmentations augs)` Deprecated. Character content.
`void` | `comment(XMLString text, Augmentations augs)` Deprecated. A comment.
`void` | `doctypeDecl(String rootElement, String publicId, String systemId, Augmentations augs)` Deprecated. Notifies of the presence of the DOCTYPE line in the document.
`void` | `elementDefault(String data)` Deprecated.
`void` | `emptyElement(QName element, XMLAttributes attributes, Augmentations augs)` Deprecated. An empty element.
`void` | `endCDATA(Augmentations augs)` Deprecated. The end of a CDATA section.
`void` | `endDocument(Augmentations augs)` Deprecated. The end of the document.
`void` | `endElement(QName element, Augmentations augs)` Deprecated. The end of an element.
`void` | `endGeneralEntity(String name, Augmentations augs)` Deprecated. This method notifies the end of a general entity.
`void` | `endPrefixMapping(String prefix, Augmentations augs)` Deprecated. The end of a namespace prefix mapping.
`void` | `endValueScopeFor(weblogic.apache.xerces.impl.xs.identity.IdentityConstraint identityConstraint, int initialDepth)` Deprecated. Ends the value scope for the specified identity constraint.
`XMLDocumentHandler` | `getDocumentHandler()` Deprecated. Returns the document handler
`XMLDocumentSource` | `getDocumentSource()` Deprecated. Returns the document source
`String[]` | `getRecognizedFeatures()` Deprecated. Returns a list of feature identifiers that are recognized by this component.
`String[]` | `getRecognizedProperties()` Deprecated. Returns a list of property identifiers that are recognized by this component.
`void` | `ignorableWhitespace(XMLString text, Augmentations augs)` Deprecated. Ignorable whitespace.
`void` | `processingInstruction(String target, XMLString data, Augmentations augs)` Deprecated. A processing instruction.
`void` | `reset(XMLComponentManager componentManager)` Deprecated.
`void` | `setBaseURI(String base)` Deprecated. Set the base URI of the document
`void` | `setDocumentHandler(XMLDocumentHandler documentHandler)` Deprecated. Sets the document handler to receive information about the document.
`void` | `setDocumentSource(XMLDocumentSource source)` Deprecated. Sets the document source
`void` | `setFeature(String featureId, boolean state)` Deprecated. Sets the state of a feature.
`void` | `setProperty(String propertyId, Object value)` Deprecated. Sets the value of a property.
`void` | `startCDATA(Augmentations augs)` Deprecated. The start of a CDATA section.
`void` | `startDocument(XMLLocator locator, String encoding, Augmentations augs)` Deprecated. The start of the document.
`void` | `startElement(QName element, XMLAttributes attributes, Augmentations augs)` Deprecated. The start of an element.
`void` | `startGeneralEntity(String name, XMLResourceIdentifier identifier, String encoding, Augmentations augs)` Deprecated. This method notifies the start of a general entity.
`void` | `startPrefixMapping(String prefix, String uri, Augmentations augs)` Deprecated. The start of a namespace prefix mapping.
`void` | `startValueScopeFor(weblogic.apache.xerces.impl.xs.identity.IdentityConstraint identityConstraint, int initialDepth)` Deprecated. Start the value scope for the specified identity constraint.
`void` | `textDecl(String version, String encoding, Augmentations augs)` Deprecated. Notifies of the presence of a TextDecl line in an entity.
`void` | `xmlDecl(String version, String encoding, String standalone, Augmentations augs)` Deprecated. Notifies of the presence of an XMLDecl line in the document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALLOW_JAVA_ENCODING

    protected static final String ALLOW_JAVA_ENCODING

  Deprecated.
  Feature identifier: whether to recognize java encoding names

  See Also:
    Constant Field Values

### DYNAMIC_VALIDATION

    protected static final String DYNAMIC_VALIDATION

  Deprecated.
  Feature identifier: dynamic validation.

  See Also:
    Constant Field Values

### ENTITY_MANAGER

    protected static final String ENTITY_MANAGER

  Deprecated.
  See Also:
    Constant Field Values

### ENTITY_RESOLVER

    public static final String ENTITY_RESOLVER

  Deprecated.
  Property identifier: entity resolver.

  See Also:
    Constant Field Values

### ERROR_REPORTER

    public static final String ERROR_REPORTER

  Deprecated.
  Property identifier: error reporter.

  See Also:
    Constant Field Values

### fAugmentations

    protected final AugmentationsImpl fAugmentations

  Deprecated.

### fBaseURI

    protected String fBaseURI

  Deprecated.
  Base URI for the DOM revalidation

### fCurrentPSVI

    protected ElementPSVImpl fCurrentPSVI

  Deprecated.
  current PSVI element info

### fDefaultValue

    protected XMLString fDefaultValue

  Deprecated.

### fDocumentHandler

    protected XMLDocumentHandler fDocumentHandler

  Deprecated.
  Document handler.

### fDocumentSource

    protected XMLDocumentSource fDocumentSource

  Deprecated.

### fDoValidation

    protected boolean fDoValidation

  Deprecated.

### fDynamicValidation

    protected boolean fDynamicValidation

  Deprecated.

### fElemPSVI

    protected final ElementPSVImpl fElemPSVI

  Deprecated.
  PSV infoset information for element

### fEntityRef

    protected boolean fEntityRef

  Deprecated.

### fEntityResolver

    protected XMLEntityResolver fEntityResolver

  Deprecated.
  Entity resolver

### fExternalNoNamespaceSchema

    protected String fExternalNoNamespaceSchema

  Deprecated.

### fExternalSchemas

    protected String fExternalSchemas

  Deprecated.

### fFullChecking

    protected boolean fFullChecking

  Deprecated.

### fGrammarPool

    protected XMLGrammarPool fGrammarPool

  Deprecated.

### fInCDATA

    protected boolean fInCDATA

  Deprecated.

### fJaxpSchemaSource

    protected Object fJaxpSchemaSource

  Deprecated.

### fLocationPairs

    protected final Hashtable fLocationPairs

  Deprecated.

### fMatcherStack

    protected XMLSchemaValidator.XPathMatcherStack fMatcherStack

  Deprecated.
  Stack of active XPath matchers for identity constraints. All active XPath matchers are notified of startElement and endElement callbacks in order to perform their matches.

  For each element with identity constraints, the selector of each identity constraint is activated. When the selector matches its XPath, then all the fields of the identity constraint are activated.

  Note: Once the activation scope is left, the XPath matchers are automatically removed from the stack of active matchers and no longer receive callbacks.

### fNamespaces

    protected boolean fNamespaces

  Deprecated.

### fNoNamespaceLocationArray

    protected final weblogic.apache.xerces.impl.xs.XMLSchemaLoader.LocationArray fNoNamespaceLocationArray

  Deprecated.

### fNormalizeData

    protected boolean fNormalizeData

  Deprecated.

### fSchemaElementDefault

    protected boolean fSchemaElementDefault

  Deprecated.

### fSeenRoot

    protected boolean fSeenRoot

  Deprecated.

### fSymbolTable

    protected SymbolTable fSymbolTable

  Deprecated.
  Symbol table.

### fValidation

    protected boolean fValidation

  Deprecated.
  Validation.

### fValidationManager

    protected ValidationManager fValidationManager

  Deprecated.

### fValidationState

    protected ValidationState fValidationState

  Deprecated.

### fValueStoreCache

    protected XMLSchemaValidator.ValueStoreCache fValueStoreCache

  Deprecated.
  Cache of value stores for identity constraint fields.

### fXSDDescription

    protected final XSDDescription fXSDDescription

  Deprecated.
  Schema Grammar Description passed, to give a chance to application to supply the Grammar

### fXSIErrorReporter

    protected weblogic.apache.xerces.impl.xs.XMLSchemaValidator.XSIErrorReporter fXSIErrorReporter

  Deprecated.
  Error reporter.

### ID_CONSTRAINT_NUM

    protected static final int ID_CONSTRAINT_NUM

  Deprecated.
  See Also:
    Constant Field Values

### JAXP_SCHEMA_SOURCE

    protected static final String JAXP_SCHEMA_SOURCE

  Deprecated.
  Property identifier: JAXP schema source.

  See Also:
    Constant Field Values

### NAMESPACES

    protected static final String NAMESPACES

  Deprecated.
  See Also:
    Constant Field Values

### NORMALIZE_DATA

    protected static final String NORMALIZE_DATA

  Deprecated.
  Feature identifier: expose schema normalized value

  See Also:
    Constant Field Values

### SCHEMA_ELEMENT_DEFAULT

    protected static final String SCHEMA_ELEMENT_DEFAULT

  Deprecated.
  Feature identifier: send element default value via characters()

  See Also:
    Constant Field Values

### SCHEMA_FULL_CHECKING

    protected static final String SCHEMA_FULL_CHECKING

  Deprecated.
  Feature identifier: schema full checking

  See Also:
    Constant Field Values

### SCHEMA_LOCATION

    protected static final String SCHEMA_LOCATION

  Deprecated.
  Property identifier: schema location.

  See Also:
    Constant Field Values

### SCHEMA_NONS_LOCATION

    protected static final String SCHEMA_NONS_LOCATION

  Deprecated.
  Property identifier: no namespace schema location.

  See Also:
    Constant Field Values

### SCHEMA_VALIDATION

    protected static final String SCHEMA_VALIDATION

  Deprecated.
  Feature identifier: validation.

  See Also:
    Constant Field Values

### SYMBOL_TABLE

    public static final String SYMBOL_TABLE

  Deprecated.
  Property identifier: symbol table.

  See Also:
    Constant Field Values

### VALIDATION

    protected static final String VALIDATION

  Deprecated.
  Feature identifier: validation.

  See Also:
    Constant Field Values

### VALIDATION_MANAGER

    protected static final String VALIDATION_MANAGER

  Deprecated.
  See Also:
    Constant Field Values

### XMLGRAMMAR_POOL

    public static final String XMLGRAMMAR_POOL

  Deprecated.
  Property identifier: grammar pool.

  See Also:
    Constant Field Values

Constructor Detail

### XMLSchemaValidator

    public XMLSchemaValidator()

  Deprecated.
  Default constructor.

Method Detail

### activateField

    public weblogic.apache.xerces.impl.xs.identity.XPathMatcher activateField(weblogic.apache.xerces.impl.xs.identity.Field field,
                                                                              int initialDepth)

  Deprecated.
  Request to activate the specified field. This method returns the matcher for the field.

  Specified by:
    `activateField` in interface `weblogic.apache.xerces.impl.xs.identity.FieldActivator`
  Parameters:
    `field` - The field to activate.

### characterData

    public boolean characterData(String data,
                                 Augmentations augs)

  Deprecated.
  Description copied from interface: `RevalidationHandler`
  Character content.

  Specified by:
    `characterData` in interface `RevalidationHandler`
  Parameters:
    `data` - The character data.
    `augs` - Augmentations
  Returns:
    True if data is whitespace only

### characters

    public void characters(XMLString text,
                           Augmentations augs)
                    throws XNIException

  Deprecated.
  Character content.

  Specified by:
    `characters` in interface `XMLDocumentHandler`
  Parameters:
    `text` - The content.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### comment

    public void comment(XMLString text,
                        Augmentations augs)
                 throws XNIException

  Deprecated.
  A comment.

  Specified by:
    `comment` in interface `XMLDocumentHandler`
  Parameters:
    `text` - The text in the comment.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by application to signal an error.

### doctypeDecl

    public void doctypeDecl(String rootElement,
                            String publicId,
                            String systemId,
                            Augmentations augs)
                     throws XNIException

  Deprecated.
  Notifies of the presence of the DOCTYPE line in the document.

  Specified by:
    `doctypeDecl` in interface `XMLDocumentHandler`
  Parameters:
    `rootElement` - The name of the root element.
    `publicId` - The public identifier if an external DTD or null if the external DTD is specified using SYSTEM.
    `systemId` - The system identifier if an external DTD, null otherwise.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### elementDefault

    public void elementDefault(String data)

  Deprecated.

### emptyElement

    public void emptyElement(QName element,
                             XMLAttributes attributes,
                             Augmentations augs)
                      throws XNIException

  Deprecated.
  An empty element.

  Specified by:
    `emptyElement` in interface `XMLDocumentHandler`
  Parameters:
    `element` - The name of the element.
    `attributes` - The element attributes.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endCDATA

    public void endCDATA(Augmentations augs)
                  throws XNIException

  Deprecated.
  The end of a CDATA section.

  Specified by:
    `endCDATA` in interface `XMLDocumentHandler`
  Parameters:
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endDocument

    public void endDocument(Augmentations augs)
                     throws XNIException

  Deprecated.
  The end of the document.

  Specified by:
    `endDocument` in interface `XMLDocumentHandler`
  Parameters:
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endElement

    public void endElement(QName element,
                           Augmentations augs)
                    throws XNIException

  Deprecated.
  The end of an element.

  Specified by:
    `endElement` in interface `XMLDocumentHandler`
  Parameters:
    `element` - The name of the element.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endGeneralEntity

    public void endGeneralEntity(String name,
                                 Augmentations augs)
                          throws XNIException

  Deprecated.
  This method notifies the end of a general entity.

  Note: This method is not called for entity references appearing as part of attribute values.

  Specified by:
    `endGeneralEntity` in interface `XMLDocumentHandler`
  Parameters:
    `name` - The name of the entity.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endPrefixMapping

    public void endPrefixMapping(String prefix,
                                 Augmentations augs)
                          throws XNIException

  Deprecated.
  The end of a namespace prefix mapping. This method will only be called when namespace processing is enabled.

  Specified by:
    `endPrefixMapping` in interface `XMLDocumentHandler`
  Parameters:
    `prefix` - The namespace prefix.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endValueScopeFor

    public void endValueScopeFor(weblogic.apache.xerces.impl.xs.identity.IdentityConstraint identityConstraint,
                                 int initialDepth)
                          throws XNIException

  Deprecated.
  Ends the value scope for the specified identity constraint.

  Specified by:
    `endValueScopeFor` in interface `weblogic.apache.xerces.impl.xs.identity.FieldActivator`
  Parameters:
    `identityConstraint` - The identity constraint.
  Throws:
    `XNIException`

### getDocumentHandler

    public XMLDocumentHandler getDocumentHandler()

  Deprecated.
  Returns the document handler

  Specified by:
    `getDocumentHandler` in interface `XMLDocumentSource`

### getDocumentSource

    public XMLDocumentSource getDocumentSource()

  Deprecated.
  Returns the document source

  Specified by:
    `getDocumentSource` in interface `XMLDocumentHandler`

### getRecognizedFeatures

    public String[] getRecognizedFeatures()

  Deprecated.
  Returns a list of feature identifiers that are recognized by this component. This method may return null if no features are recognized by this component.

  Specified by:
    `getRecognizedFeatures` in interface `XMLComponent`

### getRecognizedProperties

    public String[] getRecognizedProperties()

  Deprecated.
  Returns a list of property identifiers that are recognized by this component. This method may return null if no properties are recognized by this component.

  Specified by:
    `getRecognizedProperties` in interface `XMLComponent`

### ignorableWhitespace

    public void ignorableWhitespace(XMLString text,
                                    Augmentations augs)
                             throws XNIException

  Deprecated.
  Ignorable whitespace. For this method to be called, the document source must have some way of determining that the text containing only whitespace characters should be considered ignorable. For example, the validator can determine if a length of whitespace characters in the document are ignorable based on the element content model.

  Specified by:
    `ignorableWhitespace` in interface `XMLDocumentHandler`
  Parameters:
    `text` - The ignorable whitespace.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### processingInstruction

    public void processingInstruction(String target,
                                      XMLString data,
                                      Augmentations augs)
                               throws XNIException

  Deprecated.
  A processing instruction. Processing instructions consist of a target name and, optionally, text data. The data is only meaningful to the application.

  Typically, a processing instruction's data will contain a series of pseudo-attributes. These pseudo-attributes follow the form of element attributes but are not parsed or presented to the application as anything other than text. The application is responsible for parsing the data.

  Specified by:
    `processingInstruction` in interface `XMLDocumentHandler`
  Parameters:
    `target` - The target.
    `data` - The data or null if none specified.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### reset

    public void reset(XMLComponentManager componentManager)
               throws XMLConfigurationException

  Deprecated.
  Description copied from interface: `XMLComponent`
  Resets the component. The component can query the component manager about any features and properties that affect the operation of the component.

  Specified by:
    `reset` in interface `XMLComponent`
  Parameters:
    `componentManager` - The component manager.
  Throws:
    `XMLConfigurationException`

### setBaseURI

    public void setBaseURI(String base)

  Deprecated.
  Description copied from interface: `RevalidationHandler`
  Set the base URI of the document

  Specified by:
    `setBaseURI` in interface `RevalidationHandler`
  Parameters:
    `base` -

### setDocumentHandler

    public void setDocumentHandler(XMLDocumentHandler documentHandler)

  Deprecated.
  Sets the document handler to receive information about the document.

  Specified by:
    `setDocumentHandler` in interface `XMLDocumentSource`

### setDocumentSource

    public void setDocumentSource(XMLDocumentSource source)

  Deprecated.
  Sets the document source

  Specified by:
    `setDocumentSource` in interface `XMLDocumentHandler`

### setFeature

    public void setFeature(String featureId,
                           boolean state)
                    throws XMLConfigurationException

  Deprecated.
  Sets the state of a feature. This method is called by the component manager any time after reset when a feature changes state.

  Note: Components should silently ignore features that do not affect the operation of the component.

  Specified by:
    `setFeature` in interface `XMLComponent`
  Parameters:
    `featureId` - The feature identifier.
    `state` - The state of the feature.
  Throws:
    `SAXNotRecognizedException` - The component should not throw this exception.
    `SAXNotSupportedException` - The component should not throw this exception.
    `XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### setProperty

    public void setProperty(String propertyId,
                            Object value)
                     throws XMLConfigurationException

  Deprecated.
  Sets the value of a property. This method is called by the component manager any time after reset when a property changes value.

  Note: Components should silently ignore properties that do not affect the operation of the component.

  Specified by:
    `setProperty` in interface `XMLComponent`
  Parameters:
    `propertyId` - The property identifier.
    `value` - The value of the property.
  Throws:
    `SAXNotRecognizedException` - The component should not throw this exception.
    `SAXNotSupportedException` - The component should not throw this exception.
    `XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### startCDATA

    public void startCDATA(Augmentations augs)
                    throws XNIException

  Deprecated.
  The start of a CDATA section.

  Specified by:
    `startCDATA` in interface `XMLDocumentHandler`
  Parameters:
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startDocument

    public void startDocument(XMLLocator locator,
                              String encoding,
                              Augmentations augs)
                       throws XNIException

  Deprecated.
  The start of the document.

  Specified by:
    `startDocument` in interface `XMLDocumentHandler`
  Parameters:
    `locator` - The system identifier of the entity if the entity is external, null otherwise.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal entities or a document entity that is parsed from a java.io.Reader).
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startElement

    public void startElement(QName element,
                             XMLAttributes attributes,
                             Augmentations augs)
                      throws XNIException

  Deprecated.
  The start of an element.

  Specified by:
    `startElement` in interface `XMLDocumentHandler`
  Parameters:
    `element` - The name of the element.
    `attributes` - The element attributes.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startGeneralEntity

    public void startGeneralEntity(String name,
                                   XMLResourceIdentifier identifier,
                                   String encoding,
                                   Augmentations augs)
                            throws XNIException

  Deprecated.
  This method notifies the start of a general entity.

  Note: This method is not called for entity references appearing as part of attribute values.

  Specified by:
    `startGeneralEntity` in interface `XMLDocumentHandler`
  Parameters:
    `name` - The name of the general entity.
    `identifier` - The resource identifier.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal entities or a document entity that is parsed from a java.io.Reader).
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startPrefixMapping

    public void startPrefixMapping(String prefix,
                                   String uri,
                                   Augmentations augs)
                            throws XNIException

  Deprecated.
  The start of a namespace prefix mapping. This method will only be called when namespace processing is enabled.

  Specified by:
    `startPrefixMapping` in interface `XMLDocumentHandler`
  Parameters:
    `prefix` - The namespace prefix.
    `uri` - The URI bound to the prefix.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startValueScopeFor

    public void startValueScopeFor(weblogic.apache.xerces.impl.xs.identity.IdentityConstraint identityConstraint,
                                   int initialDepth)
                            throws XNIException

  Deprecated.
  Start the value scope for the specified identity constraint. This method is called when the selector matches in order to initialize the value store.

  Specified by:
    `startValueScopeFor` in interface `weblogic.apache.xerces.impl.xs.identity.FieldActivator`
  Parameters:
    `identityConstraint` - The identity constraint.
  Throws:
    `XNIException`

### textDecl

    public void textDecl(String version,
                         String encoding,
                         Augmentations augs)
                  throws XNIException

  Deprecated.
  Notifies of the presence of a TextDecl line in an entity. If present, this method will be called immediately following the startEntity call.

  Note: This method will never be called for the document entity; it is only called for external general entities referenced in document content.

  Note: This method is not called for entity references appearing as part of attribute values.

  Specified by:
    `textDecl` in interface `XMLDocumentHandler`
  Parameters:
    `version` - The XML version, or null if not specified.
    `encoding` - The IANA encoding name of the entity.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### xmlDecl

    public void xmlDecl(String version,
                        String encoding,
                        String standalone,
                        Augmentations augs)
                 throws XNIException

  Deprecated.
  Notifies of the presence of an XMLDecl line in the document. If present, this method will be called immediately following the startDocument call.

  Specified by:
    `xmlDecl` in interface `XMLDocumentHandler`
  Parameters:
    `version` - The XML version.
    `encoding` - The IANA encoding name of the document, or null if not specified.
    `standalone` - The standalone value, or null if not specified.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD